com.holonplatform.core.query

## Interface QueryFilter.QueryFilterSupport<C extends QueryFilter.QueryFilterSupport<C>>

- Type Parameters:
    `C` - Concrete type
  All Known Subinterfaces:
    AsyncBulkDelete, AsyncBulkUpdate, AsyncQuery, BeanBulkDelete<T>, BeanBulkDeleteOperation<B,O>, BeanBulkUpdate<T>, BeanBulkUpdateOperation<B,O>, BeanQuery<T>, BeanQueryBuilder<Q>, BulkDelete, BulkDeleteOperation<R,O>, BulkUpdate, BulkUpdateOperation<R,O>, LockQuery, Query, QueryBuilder<Q>, SubQuery<T>
  Enclosing interface:
    QueryFilter

      public static interface QueryFilter.QueryFilterSupport<C extends QueryFilter.QueryFilterSupport<C>>

  Interface implemented by classes which support `QueryFilter`s addition.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `filter(QueryFilter... filters)` Add multiple filter clauses using the AND semantic.
    `C` | `filter(QueryFilter filter)` Add a filter clause.
    `default C` | `filter(Supplier<QueryFilter> filterSupplier)` Add a filter clause using a `Supplier`.

- - ### Method Detail

    - #### filter

          C filter(QueryFilter filter)

      Add a filter clause.
      Parameters:
        `filter` - Filter clause to add. If `null`, the filter clause is ignored.
      Returns:
        the `QueryFilter.QueryFilterSupport` which contains the added filter clause (usually the same instance)

    - #### filter

          default C filter(QueryFilter... filters)

      Add multiple filter clauses using the AND semantic.
      Parameters:
        `filters` - Filters to add. If empty, no filter will be added.
      Returns:
        the `QueryFilter.QueryFilterSupport` which contains the added filters clause (usually the same instance)
      Since:
        5.1.2

    - #### filter

          default C filter(Supplier<QueryFilter> filterSupplier)

      Add a filter clause using a `Supplier`.
      Parameters:
        `filterSupplier` - The `QueryFilter` clause `Supplier` (not null)
      Returns:
        the `QueryFilter.QueryFilterSupport` which contains the added filter clause (usually the same instance)
      Since:
        5.1.2

Copyright © 2019 The Holon Platform. All rights reserved.